package com.example.course.user.controller;

import com.example.course.user.dto.LoginDto;
import com.example.course.user.dto.PhoneDto;
import com.example.course.user.dto.RegistDto;
import com.example.course.user.service.UserService;
import com.example.course.utils.ResponseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/user")
public class UserController {
    @Autowired
    private UserService userService;
    /**
     * 登录
     * @param
     * @return
     */
    @RequestMapping("login")
    public ResponseResult login(@RequestBody LoginDto loginDto){
        return userService.login(loginDto);
    }

    /**
     * 手机号登录
     * @param phoneDto
     * @return
     */
    @RequestMapping("phonelogin")
    public ResponseResult phonelogin(@RequestBody PhoneDto phoneDto){
        return userService.phonelogin(phoneDto);
    }

    /**
     * 注册
     * @param registDto
     * @return
     */
    @PostMapping("/regist")
    public ResponseResult regist(@RequestBody RegistDto registDto){
        return userService.regist(registDto);
    }
    /**
     * 退出登录
     */
    @RequestMapping("/exit")
    public ResponseResult exit(){
        return userService.exit();
    }
}
