package com.example.course.user.controller;
import com.example.course.user.service.ValidateCodeService;
import com.example.course.utils.RedisClient;
import com.example.course.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/validateCode")
public class ValidateCode {


    @Autowired
    private ValidateCodeService validateCodeService;

    @Autowired
    private RedisClient redisClient;

    /**
     * 生成验证码
     * @param phone
     * @return
     */
    @RequestMapping("/send4Order")
    public Result send4Order(@RequestParam("phone") String phone) {
        Integer code = validateCodeService.send4Order(phone);
        String key = "CODE:" + phone;
        redisClient.set(key, code);
        redisClient.expire(key, 60);
        System.out.println("您的验证码为:------"+code);
        return new Result(true,"验证码发送成功");
    }
}
