package com.example.course.user.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 用户设置表
 * @TableName user_setting
 */
@TableName(value ="user_setting")
@Data
public class UserSetting implements Serializable {
    /**
     * 设置ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 是否开启通知(0:关闭,1:开启)
     */
    private Integer notificationEnabled;

    /**
     * 是否开启声音(0:关闭,1:开启)
     */
    private Integer soundEnabled;

    /**
     * 是否开启震动(0:关闭,1:开启)
     */
    private Integer vibrateEnabled;

    /**
     * 是否显示消息预览(0:关闭,1:开启)
     */
    private Integer messagePreviewEnabled;

    /**
     * 是否自动下载媒体(0:关闭,1:开启)
     */
    private Integer autoDownloadMedia;

    /**
     * 主题(light:浅色,dark:深色)
     */
    private String theme;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}